# docker-pihole-dns-shim -- https://github.com/theonlysinjin/docker-pihole-dns-shim
---
services:
  pihole-dns-shim:
    image: theonlysinjin/docker-pihole-dns-shim:latest
    container_name: pihole-dns-shim
    environment:
      - PIHOLE_API=http://10.0.0.11:80/api
      - PIHOLE_TOKEN=${PIHOLE_TOKEN} # Generate in Pi-hole Settings > API
      - INTERVAL_SECONDS=10
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
    restart: unless-stopped
